package com.hai.dao;

import com.hai.entity.HighOilCardContactRecord;
import com.hai.entity.HighOilCardContactRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighOilCardContactRecordMapper extends HighOilCardContactRecordMapperExt {
    @SelectProvider(type=HighOilCardContactRecordSqlProvider.class, method="countByExample")
    long countByExample(HighOilCardContactRecordExample example);

    @DeleteProvider(type=HighOilCardContactRecordSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighOilCardContactRecordExample example);

    @Delete({
        "delete from high_oil_card_contact_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_oil_card_contact_record (oil_card_id, card_no, ",
        "content, `status`, ",
        "create_time, op_user_id, ",
        "op_user_name, ext_1, ",
        "ext_2, ext_3)",
        "values (#{oilCardId,jdbcType=BIGINT}, #{cardNo,jdbcType=VARCHAR}, ",
        "#{content,jdbcType=VARCHAR}, #{status,jdbcType=INTEGER}, ",
        "#{createTime,jdbcType=TIMESTAMP}, #{opUserId,jdbcType=BIGINT}, ",
        "#{opUserName,jdbcType=VARCHAR}, #{ext1,jdbcType=VARCHAR}, ",
        "#{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighOilCardContactRecord record);

    @InsertProvider(type=HighOilCardContactRecordSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighOilCardContactRecord record);

    @SelectProvider(type=HighOilCardContactRecordSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="oil_card_id", property="oilCardId", jdbcType=JdbcType.BIGINT),
        @Result(column="card_no", property="cardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighOilCardContactRecord> selectByExample(HighOilCardContactRecordExample example);

    @Select({
        "select",
        "id, oil_card_id, card_no, content, `status`, create_time, op_user_id, op_user_name, ",
        "ext_1, ext_2, ext_3",
        "from high_oil_card_contact_record",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="oil_card_id", property="oilCardId", jdbcType=JdbcType.BIGINT),
        @Result(column="card_no", property="cardNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="content", property="content", jdbcType=JdbcType.VARCHAR),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="op_user_id", property="opUserId", jdbcType=JdbcType.BIGINT),
        @Result(column="op_user_name", property="opUserName", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighOilCardContactRecord selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighOilCardContactRecordSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighOilCardContactRecord record, @Param("example") HighOilCardContactRecordExample example);

    @UpdateProvider(type=HighOilCardContactRecordSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighOilCardContactRecord record, @Param("example") HighOilCardContactRecordExample example);

    @UpdateProvider(type=HighOilCardContactRecordSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighOilCardContactRecord record);

    @Update({
        "update high_oil_card_contact_record",
        "set oil_card_id = #{oilCardId,jdbcType=BIGINT},",
          "card_no = #{cardNo,jdbcType=VARCHAR},",
          "content = #{content,jdbcType=VARCHAR},",
          "`status` = #{status,jdbcType=INTEGER},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "op_user_id = #{opUserId,jdbcType=BIGINT},",
          "op_user_name = #{opUserName,jdbcType=VARCHAR},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighOilCardContactRecord record);
}