package com.hai.service;




import com.hai.entity.CmsContent;
import com.hai.entity.CmsPatch;
import com.hai.model.CmsContentModel;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: CmsContentService
 * @Description: 内容管理 内容发布
 * @author: gongjia
 * @date: 2019/10/31 12:36
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public interface CmsContentService {

    /**
     *
     * @Title: addContent
     * @Description: 添加内容
     * @author: gongjia
     * @param: [cmsContent]
     * @return: int
     * @throws
     */
    int addContent(CmsContent cmsContent, List<CmsPatch> patchList, Map<String, String> paramsMap, String cmsPath) throws Exception;

    /**
     *
     * @Title: updateContent
     * @Description: 修改内容
     * @author: gongjia
     * @param: [cmsContent]
     * @return: int
     * @throws
     */
    int updateContent(CmsContent cmsContent, String updateType, Map<String, String> paramsMap, String cmsPath) throws Exception;

    /**
     *
     * @Title: delContent
     * @Description: 删除内容
     * @author: gongjia
     * @param: [id]
     * @return: int
     * @throws
     */
    int delContent(Long id, String cmsPath) throws Exception;

    /**
     *
     * @Title: getContentById
     * @Description: 根据id 查询内容
     * @author: gongjia
     * @param: [id]
     * @return: com.ncsmesc.entity.CmsContent
     * @throws
     */
    CmsContent getContentById(Long id) throws Exception;

    /**
     *
     * @Title: getContenDetail
     * @Description: 根据id 查询内容详情
     * @author: gongjia
     * @param: [id]
     * @return: com.ncsmesc.model.CmsContentModel
     * @throws
     */
    CmsContentModel getContentDetail(Long id, String queryType) throws Exception;

    /**
     *
     * @Title: getListContent
     * @Description: 查询内容列表
     * @author: gongjia
     * @param: [paramsMap]
     * @return: java.util.List<com.ncsmesc.entity.CmsContent>
     * @throws
     */
    List<CmsContentModel> getListContent(Map<String, String> paramsMap) throws Exception;


    /**
     *
     * @Title: getListContent
     * @Description: 查询内容列表
     * @author: gongjia
     * @param: [paramsMap]
     * @return: java.util.List<com.ncsmesc.entity.CmsContent>
     * @throws
     */
    List<CmsContentModel> getListContentByCrest(Map<String, String> paramsMap) throws Exception;


    /**
     *
     * @Title: getCorporateAdvertising
     * @Description: TODO(查询轮播图)
     * @author: 杜江
     * @param: []
     * @return: com.ncsmesc.entity.CmsContent
     * @throws
     */
    List<CmsContent> getCorporateAdvertising();
}
